<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Бармен онлайн';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
  echo "Вы не зарегистрированы";
  include_once '../sys/inc/tfoot.php';
  break;
}

include_once 'inc/start.php';
if($user_id!=1){
header("Location:index.php");
exit;
}
#  `name` varchar(164) NOT NULL,
#  `cost` int(11) NOT NULL,
#  `alc` int(11) NOT NULL,
#  `level` int(11) NOT NULL,
#  `exp` int(11) NOT NULL,
#  `in` varchar(156) NOT NULL,
  
if(isset($_POST['submit']))
{
if($_FILES["file"]["size"]<=150000){
	$name=bar_output($_POST['name']);
	$cost=bar_output($_POST['cost']);
	
	mysql_query("INSERT INTO `bar_ingridient`(`name`,`cost`) VALUES('".$name."','".$cost."')");
	$io=mysql_insert_id();
	$newfile=$_FILES['file']['tmp_name'];
	$file=strtolower($_FILES['file']['name']);
	$file=pathinfo($file, PATHINFO_EXTENSION);//расширение файла
	$arrays='png';//доступные расширения файла
	$myfile_type = $_FILES["file"]["type"];
	$size=getimagesize($newfile);
	
		if(get_file_type_bar($file,$arrays)==false){
		echo "Загруженный файл имеет некоректное расширение(доступные: .png)<br/>-<a href='admin.add2.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);

		exit;
		}
	
		if($size[0]>49 || $size[1]>49){
		echo "Загруженный файл превышает допустимые размеры(48х48)!<br/>-<a href='admin.add2.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
		if($myfile_type!='image/png'){
		echo "Загруженный файл не является картинкой!<br/>-<a href='admin.add2.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
	

	
	$path='i/i_'.$io.'.'.$file;
	move_uploaded_file($newfile,$path);
	
	}
	header("Location:admin.add2.php?o");
exit;
}	
if(isset($_GET['o']))
echo "<div class='".$diz['title2']."'>Ингридиент добавлен!</div>";		
			
echo "
<div class='".$diz['main']."'>

<div class='".$diz['title2']."'>Добавление ингридиента</div>
<form method='post' enctype='multipart/form-data' action='admin.add2.php?t=".mt_rand()."'>
Картинка(размер не более 48х48, .png):<br/>
	<input type='file' name='file' />
	<br />
   Название <br/>
   <input name='name' /><br/>
     Стоимость <br/>
   <input name='cost' /><br/>
   
   <input type='submit' name='submit' value='Отправить'/></form>";



echo "</div>";
ret($diz['ret'],'Админка','admin.php');
ret($diz['ret'],'Мой бар','index.php');

include_once '../sys/inc/tfoot.php';
?>
